var sz = ["en", "zh", "ot"]
var szname = ["English", "Chinese", "Other"]
$(function() {
	var default_value = "en";

	var value = window.localStorage.getItem("i18n_default_value");
	
	if (value) {
		default_value = value;
	}
	loadProperties(default_value);

	

 
})

function loadProperties(val) {
		$("#languagelist").empty()
		window.localStorage.setItem("i18n_default_value", val);
		for (var i in sz) {
			if (sz[i] == val) {
				$("#language_show").text(szname[i])
			} else {
				//languagelist
				var item = $('<li txt="' + sz[i] + '"><a href="#" txt="' + sz[i] + '" >' + szname[i] +
					'</a></li>')

				item.on("click", function() {

					loadProperties($(this).attr('txt'));
				})
				$("#languagelist").append(item);
			}
		}

		jQuery.i18n.properties({ //加载资浏览器语言对应的资源文件
			name: 'strings', //资源文件名称
			path: '/lanhu-bootstrap/i18n/', //资源文件路径
			mode: 'map', //用Map的方式使用资源文件中的值
			language: val, // - 不支持  ，支持_
			callback: function() { //加载成功后设置显示内容
				$('.i18n-text').each(function() {
					var prop = $(this).attr('i18n')
					var value = $.i18n.prop(prop)
					$(this).text(value);
				});
				$('.i18n-input').each(function() {
					var prop = $(this).attr('i18n')
					var value = $.i18n.prop(prop)
					$(this).val(value);
				});
				$('.i18n-placeholder').each(function() {
					var prop = $(this).attr('i18n')
					var value = $.i18n.prop(prop)
					$(this).attr('placeholder',value);
				});

			}
		});
	}
function relanguage(){
	var value = window.localStorage.getItem("i18n_default_value");
		loadProperties(value);
}